# $Revision: 1.6.2.5 $, $Date: 2004/03/04 01:40:02 $
# conditional build
# _without_dist_kernel		without distribution kernel

%define		_orig_name	ip_masq_gg

Summary:	Kernel module for masqerading Gadu-Gadu connections
Summary(pl):	Modu jdra do maskowania pocze Gadu-Gadu
Name:		kernel-net-%{_orig_name}
%define		_pre	pre4
Version:	1.0
%define	_rel 	0.%{_pre}.5
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://qbic.home.staszic.waw.pl/%{_orig_name}-%{version}%{_pre}.tar.bz2
# Source0-md5:	6f1db7a43b3099147024ad711ae5b66f
Patch0:		%{name}-alpha.patch
URL:		http://qbic.home.staszic.waw.pl/
%{!?_without_dist_kernel:BuildRequires:	kernel-headers < 2.4.0 }
BuildRequires:	%{kgcc_package}
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ip_masq_gg is a Linux 2.2 masquerading module for a Polish ICQ-like
communication program called Gadu-Gadu. This module enables direct
connections for workstations behind masquerading firewalls.

%description -l pl
ip_masq_gg jest moduem dla jdra Linuksa 2.2 rozszerzajcym
moliwoci maskarady o wsparcie dla programu Gadu-Gadu. Umoliwia on
poczenia bezporednie dla maszyn stojcych za maskujcym firewallem.

%package -n kernel-smp-net-%{_orig_name}
Summary:	Kernel module for masqerading Gadu-Gadu connections for SMP machines
Summary(pl):	Modu jdra do maskowania pocze Gadu-Gadu dla maszyn z SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}

%description -n kernel-smp-net-%{_orig_name}
ip_masq_gg is a Linux 2.2 masquerading module for a Polish ICQ-like
communication program called Gadu-Gadu. This module enables direct
connections for workstations behind masquerading firewalls.

%description -n kernel-smp-net-%{_orig_name} -l pl
ip_masq_gg jest moduem dla jdra Linuksa 2.2 rozszerzajcym
moliwoci maskarady o wsparcie dla programu Gadu-Gadu. Umoliwia on
poczenia bezporednie dla maszyn stojcych za maskujcym firewallem.

%prep
%setup -q -n %{_orig_name}
%patch0 -p1

%build
%{kgcc} -o %{_orig_name}.o -c %{rpmcflags} -DMODULE -D__KERNEL__ -D__SMP__ -DCONFIG_X86_LOCAL_APIC -I%{_kernelsrcdir}/include %{_orig_name}.c
mv -f %{_orig_name}.o %{_orig_name}-smp.o
%{kgcc} -o %{_orig_name}.o -c %{rpmcflags} -DMODULE -D__KERNEL__ -I%{_kernelsrcdir}/include %{_orig_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
install %{_orig_name}-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/%{_orig_name}.o
install %{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-net-%{_orig_name}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-net-ip_masq_gg.spec,v $
Revision 1.6.2.5  2004/03/04 01:40:02  ankry
- fixed build on alpha, rel. .5

Revision 1.6.2.4  2004/03/02 02:17:23  ankry
- rel. .4

Revision 1.6.2.3  2004/02/18 20:13:03  undefine
- release 3 for new kernel, md5sum

Revision 1.6.2.2  2003/07/11 12:01:34  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.6.2.1  2003/05/11 16:24:14  dzimi
- rel++; rebuid with 2.2.25-3

Revision 1.6  2003/04/25 04:21:26  misi3k
- updated to 1.0pre4

Revision 1.5  2003/03/23 23:02:12  blues
- release 2; rebuild with 2.2.25

Revision 1.4  2003/03/18 10:36:39  qboosh
- fixed pl description for smp, cosmetics

Revision 1.3  2003/03/17 21:02:34  adamg
- adapterized

Revision 1.2  2003/03/17 17:27:06  adamg
- added polish summary and description

Revision 1.1  2002/12/22 20:06:27  blues
- new kernel module for 2.2 kernel. STBR to Ra/updates (I know it's new,
  but there is fine feature...)
